Package twisted :: Package lore :: Module slides :: Class PagebreakLatex

[frames | no frames]

## Class PagebreakLatex

    BaseLatexSpitter --+
                       |
            LatexSpitter --+
                           |
                          PagebreakLatex

Known Subclasses:
  `TwoPagebreakLatex`

Method Summary
| `visitNode_h2(self, node)`
Inherited from LatexSpitter
| ``_write_img`(self, target)` Write LaTeX for image.
| ``convert_dia`(self, src, target)`
| ``convert_png`(self, src, target)`
| ``visitNode_a_href`(self, node)`
| ``visitNode_a_listing`(self, node)`
| ``visitNode_a_name`(self, node)`
| ``visitNode_code`(self, node)`
| ``visitNode_h3`(self, node)`
| ``visitNode_h4`(self, node)`
| ``visitNode_head`(self, node)`
| ``visitNode_img`(self, node)`
| ``visitNode_pre`(self, node)`
| ``visitNode_span_footnote`(self, node)`
| ``visitNode_span_index`(self, node)`
| ``visitNode_table`(self, node)`
| ``visitNodeHeader`(self, node)`
| ``writeNodeData`(self, node)`
Inherited from BaseLatexSpitter
| ``__init__`(self, writer, currDir, filename)`
| ``visitNode`(self, node)`
| ``visitNode_a`(self, node)`
| ``visitNode_div`(self, node)`
| ``visitNode_h1`(self, node)`
| ``visitNode_span`(self, node)`
| ``visitNode_style`(self, node)`
| ``visitNodeDefault`(self, node)`

Class Variable Summary
`int` | `currentN` = 0
`int` | `everyN` = 1
`int` | `seenH2` = 0
`str` | `start_body` = `'\\begin{document}\n\n'`
`str` | `start_html` = `'\\documentclass{article}\n \\newcommand...`
Inherited from LatexSpitter
`int` | `baseLevel` = 0
`int` | `diaHack` = 0
`str` | `end_body` = `'\\end{document}'`
`str` | `end_dd` = `'\n'`
`str` | `end_div_note` = `'\\end{quotation}'`
`str` | `end_dl` = `'\\end{description}\n'`
`str` | `end_dt` = `']'`
`str` | `end_em` = `'\\end{em}'`
`str` | `end_li` = `'\n'`
`str` | `end_ol` = `'\\end{enumerate}\n'`
`str` | `end_q` = `"''"`
`str` | `end_strong` = `'\\end{em}'`
`str` | `end_sub` = `'}$'`
`str` | `end_sup` = `'}$'`
`str` | `end_th` = `'}'`
`str` | `end_title` = `'}\n'`
`str` | `end_ul` = `'\\end{itemize}\n'`
`str` | `start_div_note` = `'\\begin{quotation}\\textbf{Note:}'`
`str` | `start_dl` = `'\\begin{description}\n'`
`str` | `start_dt` = `'\\item['`
`str` | `start_em` = `'\\begin{em}'`
`str` | `start_li` = `'\\item '`
`str` | `start_ol` = `'\\begin{enumerate}\n'`
`str` | `start_p` = `'\n\n'`
`str` | `start_q` = `'``'`
`str` | `start_strong` = `'\\begin{em}'`
`str` | `start_sub` = `'$_{'`
`str` | `start_sup` = `'$^{'`
`str` | `start_th` = `'\\textbf{'`
`str` | `start_title` = `'\\title{'`
`str` | `start_ul` = `'\\begin{itemize}\n'`

Class Variable Details

### currentN

  Type:
    `int`
  Value:

        0

### everyN

  Type:
    `int`
  Value:

        1

### seenH2

  Type:
    `int`
  Value:

        0

### start_body

  Type:
    `str`
  Value:

        '''\\begin{document}

        '''

### start_html

  Type:
    `str`
  Value:

        '''\\documentclass{article}
            \
        ewcommand{\\loreref}[1]{%
            \\ifthenelse{\\value{page}=\\pageref{#1}}%
                       { (this page)}%
                       { (page \\pageref{#1})}%
            }\\date{}
        '''

Generated by Epydoc 2.0 on Sat May 15 20:08:01 2004 | http://epydoc.sf.net